#### D.7.3.11 NullCone

Procedure from library `rinvar.lib` (see rinvar_lib).

Usage:
  NullCone(G, action); ideal G, action

Purpose:
  compute the ideal of the nullcone of the linear action of G on K^n, given by 'action', by means of Deksen's algorithm

Assume:
  basering = K[s(1..r),t(1..n)], K = Q or K = Q(a) and minpoly != 0, G is an ideal of a reductive algebraic group in K[s(1..r)], 'action' is a linear group action of G on K^n (n = ncols(action))

Return:
  ideal of the nullcone of G.

Note:
  the generators of the nullcone are homogenous, but in general not invariant

Example:

    LIB "rinvar.lib";
    ring R = 0, (s(1..2), x, y), dp;
    ideal G = -s(1)+s(2)^3, s(1)^4-1;
    ideal action = s(1)*x, s(2)*y;
    ideal inv = NullCone(G, action);
    inv;
    ==> inv[1]=x^4
    ==> inv[2]=x^3*y^3
    ==> inv[3]=x^2*y^6
    ==> inv[4]=x*y^9
    ==> inv[5]=y^12

User manual for Singular version 4-0-3, 2016, generated by texi2html.